Index: trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.Tests.csproj
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.Tests.csproj	(revision 3061)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3.Tests.csproj	(revision 3062)
@@ -81,5 +81,10 @@
   <ItemGroup>
     <Compile Include="Auxiliary.cs" />
+    <Compile Include="SomePositionsBitflipManipulatorTest.cs" />
+    <Compile Include="SinglePositionBitflipManipulatorTest.cs" />
+    <Compile Include="UniformCrossoverTest.cs" />
+    <Compile Include="SinglePointCrossoverTest.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="NPointCrossoverTest.cs" />
     <Compile Include="TestRandom.cs" />
   </ItemGroup>
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/NPointCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/NPointCrossoverTest.cs	(revision 3062)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/NPointCrossoverTest.cs	(revision 3062)
@@ -0,0 +1,159 @@
+﻿using HeuristicLab.Encodings.BinaryVectorEncoding;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+
+namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for SinglePointCrossoverTest and is intended
+  ///to contain all SinglePointCrossoverTest Unit Tests
+  ///</summary>
+  [TestClass()]
+  public class NPointCrossoverTest {
+
+
+    private TestContext testContextInstance;
+
+    /// <summary>
+    ///Gets or sets the test context which provides
+    ///information about and functionality for the current test run.
+    ///</summary>
+    public TestContext TestContext {
+      get {
+        return testContextInstance;
+      }
+      set {
+        testContextInstance = value;
+      }
+    }
+
+    #region Additional test attributes
+    // 
+    //You can use the following additional attributes as you write your tests:
+    //
+    //Use ClassInitialize to run code before running the first test in the class
+    //[ClassInitialize()]
+    //public static void MyClassInitialize(TestContext testContext)
+    //{
+    //}
+    //
+    //Use ClassCleanup to run code after all tests in a class have run
+    //[ClassCleanup()]
+    //public static void MyClassCleanup()
+    //{
+    //}
+    //
+    //Use TestInitialize to run code before running each test
+    //[TestInitialize()]
+    //public void MyTestInitialize()
+    //{
+    //}
+    //
+    //Use TestCleanup to run code after each test has run
+    //[TestCleanup()]
+    //public void MyTestCleanup()
+    //{
+    //}
+    //
+    #endregion
+
+    /// <summary>
+    ///A test for Cross
+    ///</summary>
+    [TestMethod()]
+    [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
+    public void SinglePointCrossoverCrossTest() {
+      NPointCrossover_Accessor target = new NPointCrossover_Accessor(new PrivateObject(typeof(NPointCrossover)));
+      ItemArray<BinaryVector> parents;
+      TestRandom random = new TestRandom();
+      bool exceptionFired;
+      // The following test checks if there is an exception when there are more than 2 parents
+      random.Reset();
+      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(5), new BinaryVector(6), new BinaryVector(4) });
+      exceptionFired = false;
+      try {
+        BinaryVector actual;
+        actual = target.Cross(random, parents);
+      }
+      catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+      // The following test checks if there is an exception when there are less than 2 parents
+      random.Reset();
+      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(4) });
+      exceptionFired = false;
+      try {
+        BinaryVector actual;
+        actual = target.Cross(random, parents);
+      } catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+    }
+
+    /// <summary>
+    ///A test for Apply
+    ///</summary>
+    [TestMethod()]
+    public void SinglePointCrossoverApplyTest() {
+      TestRandom random = new TestRandom();
+      BinaryVector parent1, parent2, expected, actual;
+      IntValue n;
+      bool exceptionFired;
+      // The following test is based on Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg, p. 48
+      random.Reset();
+      n = new IntValue(1);
+      random.IntNumbers = new int[] { 4 };
+      parent1 = new BinaryVector(new bool[] { false, false, false, false, true, false, false, false, false });
+      parent2 = new BinaryVector(new bool[] { true, true, false, true, false, false, false, false, true });
+      expected = new BinaryVector(new bool[] { false, false, false, false, false, false, false, false, true });
+      actual = NPointCrossover.Apply(random, parent1, parent2, n);
+      Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(actual, expected));
+      
+      // The following test is based on Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg, p. 48
+      random.Reset();
+      n = new IntValue(2);
+      random.IntNumbers = new int[] { 4, 5 };
+      parent1 = new BinaryVector(new bool[] { false, false, false, false, true, false, false, false, false });
+      parent2 = new BinaryVector(new bool[] { true, true, false, true, false, false, false, false, true });
+      expected = new BinaryVector(new bool[] { false, false, false, false, false, false, false, false, false });
+      actual = NPointCrossover.Apply(random, parent1, parent2, n);
+      Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(actual, expected));
+
+      // The following test is based on Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg, p. 48
+      random.Reset();
+      n = new IntValue(2);
+      random.IntNumbers = new int[] { 4, 5 };
+      parent2 = new BinaryVector(new bool[] { false, false, false, false, true, false, false, false, false });
+      parent1 = new BinaryVector(new bool[] { true, true, false, true, false, false, false, false, true });
+      expected = new BinaryVector(new bool[] { true, true, false, true, true, false, false, false, true });
+      actual = NPointCrossover.Apply(random, parent1, parent2, n);
+      Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(actual, expected));
+
+      // The following test is not based on any published examples
+      random.Reset();
+      random.IntNumbers = new int[] { 2 };
+      parent1 = new BinaryVector(new bool[] { false, true, true, false, false }); // this parent is longer
+      parent2 = new BinaryVector(new bool[] { false, true, true, false });
+      exceptionFired = false;
+      try {
+        actual = NPointCrossover.Apply(random, parent1, parent2, n);
+      } catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+    }
+
+    /// <summary>
+    ///A test for SinglePointCrossover Constructor
+    ///</summary>
+    [TestMethod()]
+    public void SinglePointCrossoverConstructorTest() {
+      NPointCrossover target = new NPointCrossover();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SinglePointCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SinglePointCrossoverTest.cs	(revision 3062)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SinglePointCrossoverTest.cs	(revision 3062)
@@ -0,0 +1,106 @@
+﻿using HeuristicLab.Encodings.BinaryVectorEncoding;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+
+namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for SinglePointCrossoverTest and is intended
+  ///to contain all SinglePointCrossoverTest Unit Tests
+  ///</summary>
+  [TestClass()]
+  public class SinglePointCrossoverTest {
+
+
+    private TestContext testContextInstance;
+
+    /// <summary>
+    ///Gets or sets the test context which provides
+    ///information about and functionality for the current test run.
+    ///</summary>
+    public TestContext TestContext {
+      get {
+        return testContextInstance;
+      }
+      set {
+        testContextInstance = value;
+      }
+    }
+
+    #region Additional test attributes
+    // 
+    //You can use the following additional attributes as you write your tests:
+    //
+    //Use ClassInitialize to run code before running the first test in the class
+    //[ClassInitialize()]
+    //public static void MyClassInitialize(TestContext testContext)
+    //{
+    //}
+    //
+    //Use ClassCleanup to run code after all tests in a class have run
+    //[ClassCleanup()]
+    //public static void MyClassCleanup()
+    //{
+    //}
+    //
+    //Use TestInitialize to run code before running each test
+    //[TestInitialize()]
+    //public void MyTestInitialize()
+    //{
+    //}
+    //
+    //Use TestCleanup to run code after each test has run
+    //[TestCleanup()]
+    //public void MyTestCleanup()
+    //{
+    //}
+    //
+    #endregion
+
+    /// <summary>
+    ///A test for Cross
+    ///</summary>
+    [TestMethod()]
+    [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
+    public void SinglePointCrossoverCrossTest() {
+      SinglePointCrossover_Accessor target = new SinglePointCrossover_Accessor(new PrivateObject(typeof(SinglePointCrossover)));
+      ItemArray<BinaryVector> parents;
+      TestRandom random = new TestRandom();
+      bool exceptionFired;
+      // The following test checks if there is an exception when there are more than 2 parents
+      random.Reset();
+      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(5), new BinaryVector(6), new BinaryVector(4) });
+      exceptionFired = false;
+      try {
+        BinaryVector actual;
+        actual = target.Cross(random, parents);
+      }
+      catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+      // The following test checks if there is an exception when there are less than 2 parents
+      random.Reset();
+      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(4) });
+      exceptionFired = false;
+      try {
+        BinaryVector actual;
+        actual = target.Cross(random, parents);
+      } catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+    }
+
+    /// <summary>
+    ///A test for SinglePointCrossover Constructor
+    ///</summary>
+    [TestMethod()]
+    public void SinglePointCrossoverConstructorTest() {
+      SinglePointCrossover target = new SinglePointCrossover();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SinglePositionBitflipManipulatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SinglePositionBitflipManipulatorTest.cs	(revision 3062)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SinglePositionBitflipManipulatorTest.cs	(revision 3062)
@@ -0,0 +1,107 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+using HeuristicLab.Encodings.BinaryVectorEncoding;
+using HeuristicLab.Data;
+
+namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+  /// <summary>
+  ///This is a test class for SinglePositionBitflipManipulator and is intended
+  ///to contain all SinglePositionBitflipManipulator Unit Tests
+  ///</summary>
+  [TestClass()]
+  public class SinglePositionBitflipManipulatorTest {
+
+
+    private TestContext testContextInstance;
+
+    /// <summary>
+    ///Gets or sets the test context which provides
+    ///information about and functionality for the current test run.
+    ///</summary>
+    public TestContext TestContext {
+      get {
+        return testContextInstance;
+      }
+      set {
+        testContextInstance = value;
+      }
+    }
+
+    #region Additional test attributes
+    // 
+    //You can use the following additional attributes as you write your tests:
+    //
+    //Use ClassInitialize to run code before running the first test in the class
+    //[ClassInitialize()]
+    //public static void MyClassInitialize(TestContext testContext)
+    //{
+    //}
+    //
+    //Use ClassCleanup to run code after all tests in a class have run
+    //[ClassCleanup()]
+    //public static void MyClassCleanup()
+    //{
+    //}
+    //
+    //Use TestInitialize to run code before running each test
+    //[TestInitialize()]
+    //public void MyTestInitialize()
+    //{
+    //}
+    //
+    //Use TestCleanup to run code after each test has run
+    //[TestCleanup()]
+    //public void MyTestCleanup()
+    //{
+    //}
+    //
+    #endregion
+
+
+    /// <summary>
+    ///A test for Apply
+    ///</summary>
+    [TestMethod()]
+    public void SinglePositionBitflipManipulatorApplyTest() {
+      TestRandom random = new TestRandom();
+      BinaryVector parent, expected;
+      // The following test is based on Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg, p. 21.
+      random.Reset();
+      random.IntNumbers = new int[] { 4 };
+      parent = new BinaryVector(new bool[] { true, true, true, false, false, false, false, false, false, 
+        false, true, true, true, true, true, true, false, false, false, true, false, true});
+      expected = new BinaryVector(new bool[] { true, true, true, false, true, false, false, false, false, 
+        false, true, true, true, true, true, true, false, false, false, true, false, true});
+      SinglePositionBitflipManipulator.Apply(random, parent);
+      Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(expected, parent));
+    }
+
+    /// <summary>
+    ///A test for SinglePositionBitflipManipulator Constructor
+    ///</summary>
+    [TestMethod()]
+    public void SinglePositionBitflipManipulatorConstructorTest() {
+      SinglePositionBitflipManipulator target = new SinglePositionBitflipManipulator();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SomePositionsBitflipManipulatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SomePositionsBitflipManipulatorTest.cs	(revision 3062)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/SomePositionsBitflipManipulatorTest.cs	(revision 3062)
@@ -0,0 +1,107 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+using HeuristicLab.Encodings.BinaryVectorEncoding;
+using HeuristicLab.Data;
+
+namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+  /// <summary>
+  ///This is a test class for SomePositionsBitflipManipulator and is intended
+  ///to contain all SomePositionsBitflipManipulator Unit Tests
+  ///</summary>
+  [TestClass()]
+  public class SomePositionsBitflipManipulatorTest {
+
+
+    private TestContext testContextInstance;
+
+    /// <summary>
+    ///Gets or sets the test context which provides
+    ///information about and functionality for the current test run.
+    ///</summary>
+    public TestContext TestContext {
+      get {
+        return testContextInstance;
+      }
+      set {
+        testContextInstance = value;
+      }
+    }
+
+    #region Additional test attributes
+    // 
+    //You can use the following additional attributes as you write your tests:
+    //
+    //Use ClassInitialize to run code before running the first test in the class
+    //[ClassInitialize()]
+    //public static void MyClassInitialize(TestContext testContext)
+    //{
+    //}
+    //
+    //Use ClassCleanup to run code after all tests in a class have run
+    //[ClassCleanup()]
+    //public static void MyClassCleanup()
+    //{
+    //}
+    //
+    //Use TestInitialize to run code before running each test
+    //[TestInitialize()]
+    //public void MyTestInitialize()
+    //{
+    //}
+    //
+    //Use TestCleanup to run code after each test has run
+    //[TestCleanup()]
+    //public void MyTestCleanup()
+    //{
+    //}
+    //
+    #endregion
+
+
+    /// <summary>
+    ///A test for Apply
+    ///</summary>
+    [TestMethod()]
+    public void SomePositionsBitflipManipulatorApplyTest() {
+      TestRandom random = new TestRandom();
+      BinaryVector parent, expected;
+      DoubleValue pm;
+      // The following test is based on Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg, p. 21.
+      random.Reset();
+      random.DoubleNumbers = new double[] { 0.3, 0.3, 0.1, 0.1, 0.3, 0.3, 0.3, 0.1, 0.3 };
+      pm = new DoubleValue(0.2);
+      parent = new BinaryVector(new bool[] { true, false, true, false, false, false, false, true, false });
+      expected = new BinaryVector(new bool[] { true, false, false, true, false, false, false, false, false });
+      SomePositionsBitflipManipulator.Apply(random, parent, pm);
+      Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(expected, parent));
+    }
+
+    /// <summary>
+    ///A test for SomePositionsBitflipManipulator Constructor
+    ///</summary>
+    [TestMethod()]
+    public void SomePositionsBitflipManipulatorConstructorTest() {
+      SomePositionsBitflipManipulator target = new SomePositionsBitflipManipulator();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/UniformCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/UniformCrossoverTest.cs	(revision 3062)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Tests/UniformCrossoverTest.cs	(revision 3062)
@@ -0,0 +1,146 @@
+﻿using HeuristicLab.Encodings.BinaryVectorEncoding;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+
+namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for SinglePointCrossoverTest and is intended
+  ///to contain all SinglePointCrossoverTest Unit Tests
+  ///</summary>
+  [TestClass()]
+  public class UniformCrossoverTest {
+
+
+    private TestContext testContextInstance;
+
+    /// <summary>
+    ///Gets or sets the test context which provides
+    ///information about and functionality for the current test run.
+    ///</summary>
+    public TestContext TestContext {
+      get {
+        return testContextInstance;
+      }
+      set {
+        testContextInstance = value;
+      }
+    }
+
+    #region Additional test attributes
+    // 
+    //You can use the following additional attributes as you write your tests:
+    //
+    //Use ClassInitialize to run code before running the first test in the class
+    //[ClassInitialize()]
+    //public static void MyClassInitialize(TestContext testContext)
+    //{
+    //}
+    //
+    //Use ClassCleanup to run code after all tests in a class have run
+    //[ClassCleanup()]
+    //public static void MyClassCleanup()
+    //{
+    //}
+    //
+    //Use TestInitialize to run code before running each test
+    //[TestInitialize()]
+    //public void MyTestInitialize()
+    //{
+    //}
+    //
+    //Use TestCleanup to run code after each test has run
+    //[TestCleanup()]
+    //public void MyTestCleanup()
+    //{
+    //}
+    //
+    #endregion
+
+    /// <summary>
+    ///A test for Cross
+    ///</summary>
+    [TestMethod()]
+    [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
+    public void SinglePointCrossoverCrossTest() {
+      UniformCrossover_Accessor target = new UniformCrossover_Accessor(new PrivateObject(typeof(UniformCrossover)));
+      ItemArray<BinaryVector> parents;
+      TestRandom random = new TestRandom();
+      bool exceptionFired;
+      // The following test checks if there is an exception when there are more than 2 parents
+      random.Reset();
+      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(5), new BinaryVector(6), new BinaryVector(4) });
+      exceptionFired = false;
+      try {
+        BinaryVector actual;
+        actual = target.Cross(random, parents);
+      }
+      catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+      // The following test checks if there is an exception when there are less than 2 parents
+      random.Reset();
+      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(4) });
+      exceptionFired = false;
+      try {
+        BinaryVector actual;
+        actual = target.Cross(random, parents);
+      } catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+    }
+
+    /// <summary>
+    ///A test for Apply
+    ///</summary>
+    [TestMethod()]
+    public void SinglePointCrossoverApplyTest() {
+      TestRandom random = new TestRandom();
+      BinaryVector parent1, parent2, expected, actual;
+      bool exceptionFired;
+      // The following test is based on Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg, p. 49
+      random.Reset();
+      random.DoubleNumbers = new double[] { 0.35, 0.62, 0.18, 0.42, 0.83, 0.76, 0.39, 0.51, 0.36 };
+      parent1 = new BinaryVector(new bool[] { false, false, false, false, true, false, false, false, false });
+      parent2 = new BinaryVector(new bool[] { true, true, false, true, false, false, false, false, true });
+      expected = new BinaryVector(new bool[] { false, true, false, false, false, false, false, false, false});
+      actual = UniformCrossover.Apply(random, parent1, parent2);
+      Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(actual, expected));
+
+      // The following test is based on Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg, p. 49
+      random.Reset();
+      random.DoubleNumbers = new double[] { 0.35, 0.62, 0.18, 0.42, 0.83, 0.76, 0.39, 0.51, 0.36 };
+      parent2 = new BinaryVector(new bool[] { false, false, false, false, true, false, false, false, false });
+      parent1 = new BinaryVector(new bool[] { true, true, false, true, false, false, false, false, true });
+      expected = new BinaryVector(new bool[] { true, false, false, true, true, false, false, false, true });
+      actual = UniformCrossover.Apply(random, parent1, parent2);
+      Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(actual, expected));
+      
+      // The following test is not based on any published examples
+      random.Reset();
+      random.DoubleNumbers = new double[] { 0.35, 0.62, 0.18, 0.42, 0.83, 0.76, 0.39, 0.51, 0.36 };
+      parent1 = new BinaryVector(new bool[] { false, true, true, false, false }); // this parent is longer
+      parent2 = new BinaryVector(new bool[] { false, true, true, false });
+      exceptionFired = false;
+      try {
+        actual = UniformCrossover.Apply(random, parent1, parent2);
+      } catch (System.ArgumentException) {
+        exceptionFired = true;
+      }
+      Assert.IsTrue(exceptionFired);
+    }
+
+    /// <summary>
+    ///A test for SinglePointCrossover Constructor
+    ///</summary>
+    [TestMethod()]
+    public void SinglePointCrossoverConstructorTest() {
+      NPointCrossover target = new NPointCrossover();
+    }
+  }
+}