Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs	(revision 3067)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs	(revision 3068)
@@ -47,4 +47,5 @@
         form = new Form();
         form.Name = this.Name;
+        form.Size = this.Size;
         this.Dock = DockStyle.Fill;
         form.Controls.Add(this);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.Designer.cs	(revision 3067)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.Designer.cs	(revision 3068)
@@ -26,11 +26,17 @@
       this.components = new System.ComponentModel.Container();
       System.Windows.Forms.ListViewGroup listViewGroup1 = new System.Windows.Forms.ListViewGroup("Active Plugins", System.Windows.Forms.HorizontalAlignment.Left);
-      System.Windows.Forms.ListViewGroup listViewGroup2 = new System.Windows.Forms.ListViewGroup("Disabled Plugins", System.Windows.Forms.HorizontalAlignment.Left);
-      this.localPluginsListView = new System.Windows.Forms.ListView();
-      this.pluginNameHeader = new System.Windows.Forms.ColumnHeader();
+      System.Windows.Forms.ListViewGroup listViewGroup2 = new System.Windows.Forms.ListViewGroup("Inactive Plugins", System.Windows.Forms.HorizontalAlignment.Left);
+      this.imageListForLocalItems = new System.Windows.Forms.ImageList(this.components);
+      this.localPluginsListView = new HeuristicLab.PluginInfrastructure.Advanced.MultiSelectListView();
+      this.nameHeader = new System.Windows.Forms.ColumnHeader();
       this.versionHeader = new System.Windows.Forms.ColumnHeader();
-      this.pluginDescriptionHeader = new System.Windows.Forms.ColumnHeader();
-      this.imageListForLocalItems = new System.Windows.Forms.ImageList(this.components);
+      this.descriptionHeader = new System.Windows.Forms.ColumnHeader();
       this.SuspendLayout();
+      // 
+      // imageListForLocalItems
+      // 
+      this.imageListForLocalItems.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
+      this.imageListForLocalItems.ImageSize = new System.Drawing.Size(13, 13);
+      this.imageListForLocalItems.TransparentColor = System.Drawing.Color.Transparent;
       // 
       // localPluginsListView
@@ -38,13 +44,12 @@
       this.localPluginsListView.CheckBoxes = true;
       this.localPluginsListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
-            this.pluginNameHeader,
+            this.nameHeader,
             this.versionHeader,
-            this.pluginDescriptionHeader});
+            this.descriptionHeader});
       this.localPluginsListView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.localPluginsListView.FullRowSelect = true;
       listViewGroup1.Header = "Active Plugins";
       listViewGroup1.Name = "activePluginsGroup";
-      listViewGroup2.Header = "Disabled Plugins";
-      listViewGroup2.Name = "disabledPluginsGroup";
+      listViewGroup2.Header = "Inactive Plugins";
+      listViewGroup2.Name = "inactivePluginsGroup";
       this.localPluginsListView.Groups.AddRange(new System.Windows.Forms.ListViewGroup[] {
             listViewGroup1,
@@ -54,5 +59,6 @@
       this.localPluginsListView.Size = new System.Drawing.Size(570, 547);
       this.localPluginsListView.StateImageList = this.imageListForLocalItems;
-      this.localPluginsListView.TabIndex = 8;
+      this.localPluginsListView.SuppressItemCheckedEvents = false;
+      this.localPluginsListView.TabIndex = 9;
       this.localPluginsListView.UseCompatibleStateImageBehavior = false;
       this.localPluginsListView.View = System.Windows.Forms.View.Details;
@@ -60,24 +66,18 @@
       this.localPluginsListView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.pluginsListView_ItemChecked);
       // 
-      // pluginNameHeader
+      // nameHeader
       // 
-      this.pluginNameHeader.Text = "Name";
-      this.pluginNameHeader.Width = 220;
+      this.nameHeader.Text = "Name";
+      this.nameHeader.Width = 155;
       // 
       // versionHeader
       // 
       this.versionHeader.Text = "Version";
-      this.versionHeader.Width = 120;
+      this.versionHeader.Width = 92;
       // 
-      // pluginDescriptionHeader
+      // descriptionHeader
       // 
-      this.pluginDescriptionHeader.Text = "Description";
-      this.pluginDescriptionHeader.Width = 243;
-      // 
-      // imageListForLocalItems
-      // 
-      this.imageListForLocalItems.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
-      this.imageListForLocalItems.ImageSize = new System.Drawing.Size(13, 13);
-      this.imageListForLocalItems.TransparentColor = System.Drawing.Color.Transparent;
+      this.descriptionHeader.Text = "Description";
+      this.descriptionHeader.Width = 316;
       // 
       // LocalPluginManager
@@ -94,9 +94,9 @@
     #endregion
 
-    private System.Windows.Forms.ListView localPluginsListView;
-    private System.Windows.Forms.ColumnHeader pluginNameHeader;
+    private System.Windows.Forms.ImageList imageListForLocalItems;
+    private MultiSelectListView localPluginsListView;
+    private System.Windows.Forms.ColumnHeader nameHeader;
     private System.Windows.Forms.ColumnHeader versionHeader;
-    private System.Windows.Forms.ColumnHeader pluginDescriptionHeader;
-    private System.Windows.Forms.ImageList imageListForLocalItems;
+    private System.Windows.Forms.ColumnHeader descriptionHeader;
   }
 }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.cs	(revision 3067)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.cs	(revision 3068)
@@ -52,4 +52,5 @@
     private void UpdateControl() {
       ClearPluginList();
+      localPluginsListView.SuppressItemCheckedEvents = true;
       foreach (var plugin in plugins) {
         var item = CreateListViewItem(plugin);
@@ -61,4 +62,5 @@
         localPluginsListView.Items.Add(item);
       }
+      localPluginsListView.SuppressItemCheckedEvents = false;
     }
 
@@ -78,11 +80,27 @@
       // checked items are marked for removal
       if (e.Item.Checked) {
-        var plugin = (IPluginDescription)e.Item.Tag;
-        foreach (ListViewItem item in localPluginsListView.Items) {
-          var dep = (IPluginDescription)item.Tag;
-          if (!item.Checked && dep.Dependencies.Contains(plugin)) {
-            item.Checked = true;
+        List<ListViewItem> modifiedItems = new List<ListViewItem>();
+        foreach (ListViewItem item in localPluginsListView.SelectedItems) {
+          var plugin = (IPluginDescription)item.Tag;
+          modifiedItems.Add(item);
+          // also uncheck all dependent plugins
+          foreach (ListViewItem dependentItem in localPluginsListView.Items) {
+            var dependent = (IPluginDescription)dependentItem.Tag;
+            if (!dependentItem.Checked && (from dep in dependent.Dependencies
+                                           where dep.Name == plugin.Name
+                                           where dep.Version == plugin.Version
+                                           select dep).Any()) {
+              modifiedItems.Add(dependentItem);
+            }
           }
         }
+        localPluginsListView.CheckItems(modifiedItems);
+      } else {
+        List<ListViewItem> modifiedItems = new List<ListViewItem>();
+        foreach (ListViewItem item in localPluginsListView.SelectedItems) {
+          var plugin = (IPluginDescription)item.Tag;
+          modifiedItems.Add(item);
+        }
+        localPluginsListView.UncheckItems(modifiedItems);
       }
       OnItemChecked(e);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/MultiSelectListView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/MultiSelectListView.Designer.cs	(revision 3068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/MultiSelectListView.Designer.cs	(revision 3068)
@@ -0,0 +1,31 @@
+﻿namespace HeuristicLab.PluginInfrastructure.Advanced {
+  partial class MultiSelectListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+    }
+
+    #endregion
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/MultiSelectListView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/MultiSelectListView.cs	(revision 3068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/MultiSelectListView.cs	(revision 3068)
@@ -0,0 +1,78 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced {
+  internal partial class MultiSelectListView : ListView {
+    public MultiSelectListView() {
+      InitializeComponent();
+    }
+
+    private bool inhibitAutoCheck;
+    protected override void OnMouseDown(MouseEventArgs e) {
+      inhibitAutoCheck = true;
+      base.OnMouseDown(e);
+    }
+
+    protected override void OnMouseUp(MouseEventArgs e) {
+      base.OnMouseUp(e);
+      inhibitAutoCheck = false;
+    }
+
+    // item check is raised for each selected item that was not directly clicked (those should be ignored)
+    // and then one the item whose checkbox was clicked
+    protected override void OnItemCheck(ItemCheckEventArgs ice) {
+      // don't change the checked state of items that were not clicked directly
+      if (inhibitAutoCheck) {
+        ice.NewValue = ice.CurrentValue;
+      }
+      // if this item was directly clicked then check if it is selected as well
+      var item = Items[ice.Index];
+      if (!item.Selected) {
+        // when the item was not selected previously 
+        // clear any selection 
+        List<ListViewItem> selectedItems = new List<ListViewItem>(SelectedItems.OfType<ListViewItem>());
+        selectedItems.ForEach(x => x.Selected = false);
+        // select only the clicked item
+        item.Selected = true;
+      }
+      base.OnItemCheck(ice);
+    }
+
+    private bool suppressItemCheckedEvents;
+    public bool SuppressItemCheckedEvents {
+      get {
+        return suppressItemCheckedEvents;
+      }
+      set {
+        suppressItemCheckedEvents = value;
+      }
+    }
+    protected override void OnItemChecked(ItemCheckedEventArgs e) {
+      if (!suppressItemCheckedEvents)
+        base.OnItemChecked(e);
+    }
+
+    public void CheckItems(IEnumerable<ListViewItem> items) {
+      suppressItemCheckedEvents = true;
+
+      foreach (var item in items)
+        item.Checked = true;
+      suppressItemCheckedEvents = false;
+    }
+
+    public void UncheckItems(IEnumerable<ListViewItem> items) {
+      suppressItemCheckedEvents = true;
+
+      foreach (var item in items)
+        item.Checked = false;
+      suppressItemCheckedEvents = false;
+    }
+
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.Designer.cs	(revision 3067)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.Designer.cs	(revision 3068)
@@ -25,13 +25,19 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.Windows.Forms.ListViewGroup listViewGroup1 = new System.Windows.Forms.ListViewGroup("Available Products", System.Windows.Forms.HorizontalAlignment.Left);
-      System.Windows.Forms.ListViewGroup listViewGroup2 = new System.Windows.Forms.ListViewGroup("Available Plugins (Most Recent Version)", System.Windows.Forms.HorizontalAlignment.Left);
-      System.Windows.Forms.ListViewGroup listViewGroup3 = new System.Windows.Forms.ListViewGroup("Available Plugins (All Versions)", System.Windows.Forms.HorizontalAlignment.Left);
-      this.remotePluginsListView = new System.Windows.Forms.ListView();
-      this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
+      System.Windows.Forms.ListViewGroup listViewGroup1 = new System.Windows.Forms.ListViewGroup("Products", System.Windows.Forms.HorizontalAlignment.Left);
+      System.Windows.Forms.ListViewGroup listViewGroup2 = new System.Windows.Forms.ListViewGroup("New Plugins", System.Windows.Forms.HorizontalAlignment.Left);
+      System.Windows.Forms.ListViewGroup listViewGroup3 = new System.Windows.Forms.ListViewGroup("All Plugins", System.Windows.Forms.HorizontalAlignment.Left);
       this.imageListForRemoteItems = new System.Windows.Forms.ImageList(this.components);
+      this.remotePluginsListView = new HeuristicLab.PluginInfrastructure.Advanced.MultiSelectListView();
+      this.nameHeader = new System.Windows.Forms.ColumnHeader();
+      this.versionHeader = new System.Windows.Forms.ColumnHeader();
+      this.descriptionHeader = new System.Windows.Forms.ColumnHeader();
       this.SuspendLayout();
+      // 
+      // imageListForRemoteItems
+      // 
+      this.imageListForRemoteItems.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
+      this.imageListForRemoteItems.ImageSize = new System.Drawing.Size(13, 13);
+      this.imageListForRemoteItems.TransparentColor = System.Drawing.Color.Transparent;
       // 
       // remotePluginsListView
@@ -39,14 +45,13 @@
       this.remotePluginsListView.CheckBoxes = true;
       this.remotePluginsListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
-            this.columnHeader1,
-            this.columnHeader2,
-            this.columnHeader3});
+            this.nameHeader,
+            this.versionHeader,
+            this.descriptionHeader});
       this.remotePluginsListView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.remotePluginsListView.FullRowSelect = true;
-      listViewGroup1.Header = "Available Products";
+      listViewGroup1.Header = "Products";
       listViewGroup1.Name = "productsGroup";
-      listViewGroup2.Header = "Available Plugins (Most Recent Version)";
+      listViewGroup2.Header = "New Plugins";
       listViewGroup2.Name = "newPluginsGroup";
-      listViewGroup3.Header = "Available Plugins (All Versions)";
+      listViewGroup3.Header = "All Plugins";
       listViewGroup3.Name = "allPluginsGroup";
       this.remotePluginsListView.Groups.AddRange(new System.Windows.Forms.ListViewGroup[] {
@@ -58,29 +63,24 @@
       this.remotePluginsListView.Size = new System.Drawing.Size(533, 558);
       this.remotePluginsListView.StateImageList = this.imageListForRemoteItems;
-      this.remotePluginsListView.TabIndex = 10;
+      this.remotePluginsListView.SuppressItemCheckedEvents = false;
+      this.remotePluginsListView.TabIndex = 0;
       this.remotePluginsListView.UseCompatibleStateImageBehavior = false;
       this.remotePluginsListView.View = System.Windows.Forms.View.Details;
       this.remotePluginsListView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.remotePluginsListView_ItemChecked);
       // 
-      // columnHeader1
+      // nameHeader
       // 
-      this.columnHeader1.Text = "Name";
-      this.columnHeader1.Width = 220;
+      this.nameHeader.Text = "Name";
+      this.nameHeader.Width = 115;
       // 
-      // columnHeader2
+      // versionHeader
       // 
-      this.columnHeader2.Text = "Version";
-      this.columnHeader2.Width = 120;
+      this.versionHeader.Text = "Version";
+      this.versionHeader.Width = 161;
       // 
-      // columnHeader3
+      // descriptionHeader
       // 
-      this.columnHeader3.Text = "Description";
-      this.columnHeader3.Width = 240;
-      // 
-      // imageListForRemoteItems
-      // 
-      this.imageListForRemoteItems.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
-      this.imageListForRemoteItems.ImageSize = new System.Drawing.Size(13, 13);
-      this.imageListForRemoteItems.TransparentColor = System.Drawing.Color.Transparent;
+      this.descriptionHeader.Text = "Description";
+      this.descriptionHeader.Width = 250;
       // 
       // RemotePluginInstaller
@@ -97,9 +97,9 @@
     #endregion
 
-    private System.Windows.Forms.ListView remotePluginsListView;
-    private System.Windows.Forms.ColumnHeader columnHeader1;
-    private System.Windows.Forms.ColumnHeader columnHeader2;
-    private System.Windows.Forms.ColumnHeader columnHeader3;
     private System.Windows.Forms.ImageList imageListForRemoteItems;
+    private MultiSelectListView remotePluginsListView;
+    private System.Windows.Forms.ColumnHeader nameHeader;
+    private System.Windows.Forms.ColumnHeader versionHeader;
+    private System.Windows.Forms.ColumnHeader descriptionHeader;
   }
 }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.cs	(revision 3067)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.cs	(revision 3068)
@@ -72,5 +72,5 @@
     private void UpdateControl() {
       ClearListView();
-
+      remotePluginsListView.SuppressItemCheckedEvents = true;
       foreach (var newPlugin in NewPlugins) {
         var item = CreateListViewItem(newPlugin);
@@ -90,4 +90,5 @@
         remotePluginsListView.Items.Add(item);
       }
+      remotePluginsListView.SuppressItemCheckedEvents = false;
     }
 
@@ -111,18 +112,20 @@
     #region item checked event handler
     private void remotePluginsListView_ItemChecked(object sender, ItemCheckedEventArgs e) {
-      // dispatch by check state and type of item (product/plugin)
-      IPluginDescription plugin = e.Item.Tag as IPluginDescription;
-      if (plugin != null)
-        if (e.Item.Checked)
-          HandlePluginChecked(plugin);
-        else
-          HandlePluginUnchecked(plugin);
-      else {
-        DeploymentService.ProductDescription product = e.Item.Tag as DeploymentService.ProductDescription;
-        if (product != null)
+      foreach (ListViewItem item in remotePluginsListView.SelectedItems) {
+        // dispatch by check state and type of item (product/plugin)
+        IPluginDescription plugin = item.Tag as IPluginDescription;
+        if (plugin != null)
           if (e.Item.Checked)
-            HandleProductChecked(product);
+            HandlePluginChecked(plugin);
           else
-            HandleProductUnchecked(product);
+            HandlePluginUnchecked(plugin);
+        else {
+          DeploymentService.ProductDescription product = item.Tag as DeploymentService.ProductDescription;
+          if (product != null)
+            if (e.Item.Checked)
+              HandleProductChecked(product);
+            else
+              HandleProductUnchecked(product);
+        }
       }
       OnItemChecked(e);
@@ -131,23 +134,31 @@
     private void HandleProductUnchecked(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product) {
       // also uncheck the plugins of the product
+      List<ListViewItem> modifiedItems = new List<ListViewItem>();
+      modifiedItems.Add(FindItemForProduct(product));
       foreach (var plugin in product.Plugins) {
         var item = FindItemForPlugin(plugin);
         if (item != null && item.Checked)
-          item.Checked = false;
-      }
+          modifiedItems.Add(item);
+      }
+      remotePluginsListView.UncheckItems(modifiedItems);
     }
 
     private void HandleProductChecked(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product) {
       // also check all plugins of the product
+      List<ListViewItem> modifiedItems = new List<ListViewItem>();
+      modifiedItems.Add(FindItemForProduct(product));
       foreach (var plugin in product.Plugins) {
         var item = FindItemForPlugin(plugin);
         if (item != null && !item.Checked) {
-          item.Checked = true;
-        }
-      }
+          modifiedItems.Add(item);
+        }
+      }
+      remotePluginsListView.CheckItems(modifiedItems);
     }
 
     private void HandlePluginUnchecked(IPluginDescription plugin) {
       // also uncheck all dependent plugins
+      List<ListViewItem> modifiedItems = new List<ListViewItem>();
+      modifiedItems.Add(FindItemForPlugin(plugin));
       var dependentPlugins = from otherPlugin in plugins
                              where otherPlugin.Dependencies.Any(dep => dep.Name == plugin.Name && dep.Version == plugin.Version)
@@ -156,5 +167,5 @@
         var item = FindItemForPlugin(dependentPlugin);
         if (item != null && item.Checked) {
-          item.Checked = false;
+          modifiedItems.Add(item);
         }
       }
@@ -166,17 +177,21 @@
         var item = FindItemForProduct(dependentProduct);
         if (item != null && item.Checked) {
-          item.Checked = false;
-        }
-      }
+          modifiedItems.Add(item);
+        }
+      }
+      remotePluginsListView.UncheckItems(modifiedItems);
     }
 
     private void HandlePluginChecked(IPluginDescription plugin) {
       // also check all dependencies
+      List<ListViewItem> modifiedItems = new List<ListViewItem>();
+      modifiedItems.Add(FindItemForPlugin(plugin));
       foreach (var dep in plugin.Dependencies) {
         var item = FindItemForPlugin(dep);
         if (item != null && !item.Checked) {
-          item.Checked = true;
-        }
-      }
+          modifiedItems.Add(item);
+        }
+      }
+      remotePluginsListView.CheckItems(modifiedItems);
     }
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3067)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3068)
@@ -139,4 +139,10 @@
     <Compile Include="Advanced\InstallationManagerControl.Designer.cs">
       <DependentUpon>InstallationManagerControl.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Advanced\MultiSelectListView.cs">
+      <SubType>Component</SubType>
+    </Compile>
+    <Compile Include="Advanced\MultiSelectListView.Designer.cs">
+      <DependentUpon>MultiSelectListView.cs</DependentUpon>
     </Compile>
     <Compile Include="Advanced\PluginView.cs">