Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.Designer.cs	(revision 3069)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.Designer.cs	(revision 3069)
@@ -0,0 +1,130 @@
+﻿namespace HeuristicLab.PluginInfrastructure.Advanced {
+  partial class ConfirmationDialog {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.informationTextBox = new System.Windows.Forms.RichTextBox();
+      this.messageLabel = new System.Windows.Forms.Label();
+      this.okButton = new System.Windows.Forms.Button();
+      this.cancelButton = new System.Windows.Forms.Button();
+      this.icon = new System.Windows.Forms.PictureBox();
+      this.panel1 = new System.Windows.Forms.Panel();
+      ((System.ComponentModel.ISupportInitialize)(this.icon)).BeginInit();
+      this.panel1.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // informationTextBox
+      // 
+      this.informationTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.informationTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.informationTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.informationTextBox.Location = new System.Drawing.Point(105, 46);
+      this.informationTextBox.Name = "informationTextBox";
+      this.informationTextBox.ReadOnly = true;
+      this.informationTextBox.Size = new System.Drawing.Size(301, 181);
+      this.informationTextBox.TabIndex = 0;
+      this.informationTextBox.Text = "";
+      // 
+      // messageLabel
+      // 
+      this.messageLabel.AutoSize = true;
+      this.messageLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.messageLabel.Location = new System.Drawing.Point(13, 13);
+      this.messageLabel.Name = "messageLabel";
+      this.messageLabel.Size = new System.Drawing.Size(0, 13);
+      this.messageLabel.TabIndex = 1;
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.okButton.Location = new System.Drawing.Point(250, 14);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 2;
+      this.okButton.Text = "Ok";
+      this.okButton.UseVisualStyleBackColor = true;
+      this.okButton.Click += new System.EventHandler(this.okButton_Click);
+      // 
+      // cancelButton
+      // 
+      this.cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.cancelButton.Location = new System.Drawing.Point(331, 14);
+      this.cancelButton.Name = "cancelButton";
+      this.cancelButton.Size = new System.Drawing.Size(75, 23);
+      this.cancelButton.TabIndex = 3;
+      this.cancelButton.Text = "Cancel";
+      this.cancelButton.UseVisualStyleBackColor = true;
+      this.cancelButton.Click += new System.EventHandler(this.cancelButton_Click);
+      // 
+      // icon
+      // 
+      this.icon.Location = new System.Drawing.Point(31, 66);
+      this.icon.Name = "icon";
+      this.icon.Size = new System.Drawing.Size(47, 50);
+      this.icon.SizeMode = System.Windows.Forms.PictureBoxSizeMode.CenterImage;
+      this.icon.TabIndex = 4;
+      this.icon.TabStop = false;
+      // 
+      // panel1
+      // 
+      this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.panel1.BackColor = System.Drawing.SystemColors.Control;
+      this.panel1.Controls.Add(this.okButton);
+      this.panel1.Controls.Add(this.cancelButton);
+      this.panel1.Location = new System.Drawing.Point(0, 233);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(418, 50);
+      this.panel1.TabIndex = 6;
+      // 
+      // ConfirmationDialog
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.ClientSize = new System.Drawing.Size(418, 282);
+      this.Controls.Add(this.panel1);
+      this.Controls.Add(this.icon);
+      this.Controls.Add(this.messageLabel);
+      this.Controls.Add(this.informationTextBox);
+      this.Name = "ConfirmationDialog";
+      this.Text = "ConfirmationDialog";
+      ((System.ComponentModel.ISupportInitialize)(this.icon)).EndInit();
+      this.panel1.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.RichTextBox informationTextBox;
+    private System.Windows.Forms.Label messageLabel;
+    private System.Windows.Forms.Button okButton;
+    private System.Windows.Forms.Button cancelButton;
+    private System.Windows.Forms.PictureBox icon;
+    private System.Windows.Forms.Panel panel1;
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.cs	(revision 3069)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.cs	(revision 3069)
@@ -0,0 +1,35 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced {
+  public partial class ConfirmationDialog : Form {
+    public ConfirmationDialog() {
+      InitializeComponent();
+      icon.Image = System.Drawing.SystemIcons.Exclamation.ToBitmap();
+      DialogResult = DialogResult.Cancel;
+    }
+
+    public ConfirmationDialog(string caption, string message, string text)
+      : this() {
+      this.Text = caption;
+      messageLabel.Text = message;
+      informationTextBox.Text = text;
+    }
+
+    private void okButton_Click(object sender, EventArgs e) {
+      DialogResult = DialogResult.OK;
+      this.Close();
+    }
+
+    private void cancelButton_Click(object sender, EventArgs e) {
+      DialogResult = DialogResult.Cancel;
+      this.Close();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.resx
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.resx	(revision 3069)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConfirmationDialog.resx	(revision 3069)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs	(revision 3068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs	(revision 3069)
@@ -47,8 +47,8 @@
         form = new Form();
         form.Name = this.Name;
-        form.Size = this.Size;
+        form.ClientSize = Size;
         this.Dock = DockStyle.Fill;
         form.Controls.Add(this);
-      } 
+      }
       form.Show();
     }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.cs	(revision 3068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.cs	(revision 3069)
@@ -16,5 +16,5 @@
     internal virtual void ShowInForm() {
       Form form = new Form();
-      form.Size = this.Size;
+      form.ClientSize = this.Size;
       form.Text = this.Name;
       this.Dock = DockStyle.Fill;
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs	(revision 3068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs	(revision 3069)
@@ -256,20 +256,18 @@
     private bool ConfirmRemoveAction(IEnumerable<IPluginDescription> plugins) {
       StringBuilder strBuilder = new StringBuilder();
-      strBuilder.AppendLine("Delete files:");
       foreach (var plugin in plugins) {
         foreach (var file in plugin.Files) {
-          strBuilder.AppendLine(file.ToString());
+          strBuilder.AppendLine(Path.GetFileName(file.Name));
         }
       }
-      return MessageBox.Show(strBuilder.ToString(), "Confirm Delete", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) == DialogResult.OK;
+      return (new ConfirmationDialog("Confirm Delete", "Do you want to delete following files?", strBuilder.ToString())).ShowDialog() == DialogResult.OK;
     }
 
     private bool ConfirmUpdateAction(IEnumerable<IPluginDescription> plugins) {
       StringBuilder strBuilder = new StringBuilder();
-      strBuilder.AppendLine("Update plugins:");
       foreach (var plugin in plugins) {
         strBuilder.AppendLine(plugin.ToString());
       }
-      return MessageBox.Show(strBuilder.ToString(), "Confirm Update", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) == DialogResult.OK;
+      return (new ConfirmationDialog("Confirm Update", "Do you want to update following plugins?", strBuilder.ToString())).ShowDialog() == DialogResult.OK;
     }
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationBox.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationBox.Designer.cs	(revision 3068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseConfirmationBox.Designer.cs	(revision 3069)
@@ -30,7 +30,9 @@
       this.label1 = new System.Windows.Forms.Label();
       this.radioButtonGroupBox = new System.Windows.Forms.GroupBox();
+      this.rejectRadioButton = new System.Windows.Forms.RadioButton();
       this.acceptRadioButton = new System.Windows.Forms.RadioButton();
-      this.rejectRadioButton = new System.Windows.Forms.RadioButton();
+      this.panel1 = new System.Windows.Forms.Panel();
       this.radioButtonGroupBox.SuspendLayout();
+      this.panel1.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -40,8 +42,9 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.richTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
       this.richTextBox.Location = new System.Drawing.Point(12, 48);
       this.richTextBox.Name = "richTextBox";
       this.richTextBox.ReadOnly = true;
-      this.richTextBox.Size = new System.Drawing.Size(494, 261);
+      this.richTextBox.Size = new System.Drawing.Size(494, 287);
       this.richTextBox.TabIndex = 0;
       this.richTextBox.Text = "";
@@ -51,5 +54,5 @@
       this.acceptButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.acceptButton.Enabled = false;
-      this.acceptButton.Location = new System.Drawing.Point(346, 394);
+      this.acceptButton.Location = new System.Drawing.Point(347, 53);
       this.acceptButton.Name = "acceptButton";
       this.acceptButton.Size = new System.Drawing.Size(75, 23);
@@ -62,5 +65,5 @@
       // 
       this.rejectButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.rejectButton.Location = new System.Drawing.Point(427, 394);
+      this.rejectButton.Location = new System.Drawing.Point(428, 53);
       this.rejectButton.Name = "rejectButton";
       this.rejectButton.Size = new System.Drawing.Size(79, 23);
@@ -94,9 +97,21 @@
       this.radioButtonGroupBox.Controls.Add(this.rejectRadioButton);
       this.radioButtonGroupBox.Controls.Add(this.acceptRadioButton);
-      this.radioButtonGroupBox.Location = new System.Drawing.Point(12, 315);
+      this.radioButtonGroupBox.Location = new System.Drawing.Point(13, 5);
       this.radioButtonGroupBox.Name = "radioButtonGroupBox";
       this.radioButtonGroupBox.Size = new System.Drawing.Size(281, 71);
       this.radioButtonGroupBox.TabIndex = 5;
       this.radioButtonGroupBox.TabStop = false;
+      // 
+      // rejectRadioButton
+      // 
+      this.rejectRadioButton.AutoSize = true;
+      this.rejectRadioButton.Location = new System.Drawing.Point(6, 42);
+      this.rejectRadioButton.Name = "rejectRadioButton";
+      this.rejectRadioButton.Size = new System.Drawing.Size(264, 17);
+      this.rejectRadioButton.TabIndex = 1;
+      this.rejectRadioButton.TabStop = true;
+      this.rejectRadioButton.Text = "I do not accept the terms in the license agreement.";
+      this.rejectRadioButton.UseVisualStyleBackColor = true;
+      this.rejectRadioButton.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
       // 
       // acceptRadioButton
@@ -112,15 +127,16 @@
       this.acceptRadioButton.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
       // 
-      // rejectRadioButton
+      // panel1
       // 
-      this.rejectRadioButton.AutoSize = true;
-      this.rejectRadioButton.Location = new System.Drawing.Point(6, 42);
-      this.rejectRadioButton.Name = "rejectRadioButton";
-      this.rejectRadioButton.Size = new System.Drawing.Size(264, 17);
-      this.rejectRadioButton.TabIndex = 1;
-      this.rejectRadioButton.TabStop = true;
-      this.rejectRadioButton.Text = "I do not accept the terms in the license agreement.";
-      this.rejectRadioButton.UseVisualStyleBackColor = true;
-      this.rejectRadioButton.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
+      this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.panel1.BackColor = System.Drawing.SystemColors.Control;
+      this.panel1.Controls.Add(this.acceptButton);
+      this.panel1.Controls.Add(this.radioButtonGroupBox);
+      this.panel1.Controls.Add(this.rejectButton);
+      this.panel1.Location = new System.Drawing.Point(-1, 341);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(520, 88);
+      this.panel1.TabIndex = 6;
       // 
       // LicenseConfirmationBox
@@ -128,14 +144,14 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.BackColor = System.Drawing.SystemColors.HighlightText;
       this.ClientSize = new System.Drawing.Size(518, 429);
-      this.Controls.Add(this.radioButtonGroupBox);
+      this.Controls.Add(this.panel1);
       this.Controls.Add(this.label1);
       this.Controls.Add(this.licenseLabel);
-      this.Controls.Add(this.rejectButton);
-      this.Controls.Add(this.acceptButton);
       this.Controls.Add(this.richTextBox);
       this.Name = "LicenseConfirmationBox";
       this.radioButtonGroupBox.ResumeLayout(false);
       this.radioButtonGroupBox.PerformLayout();
+      this.panel1.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -153,4 +169,5 @@
     private System.Windows.Forms.RadioButton rejectRadioButton;
     private System.Windows.Forms.RadioButton acceptRadioButton;
+    private System.Windows.Forms.Panel panel1;
   }
 }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.Designer.cs	(revision 3068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/RemotePluginInstaller.Designer.cs	(revision 3069)
@@ -72,10 +72,10 @@
       // 
       this.nameHeader.Text = "Name";
-      this.nameHeader.Width = 115;
+      this.nameHeader.Width = 185;
       // 
       // versionHeader
       // 
       this.versionHeader.Text = "Version";
-      this.versionHeader.Width = 161;
+      this.versionHeader.Width = 93;
       // 
       // descriptionHeader